connect-pg-simple SQL注入漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1717030 漏洞类型 SQL注入
发布时间 2019-08-26 更新时间 2019-09-02
CVE编号 CVE-2019-15658 CNNVD-ID CNNVD-201908-1950
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201908-1950
|漏洞详情
connect-pg-simple是一款PostgreSQL会话存储模块。 connect-pg-simple 6.0.1之前版本中存在SQL注入漏洞。该漏洞源于基于数据库的应用缺少对外部输入SQL语句的验证。攻击者可利用该漏洞执行非法SQL命令。
|参考资料

来源:github.com

链接:https://github.com/voxpelli/node-connect-pg-simple/security/advisories/GHSA-xqh8-5j36-4556


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-15658